# Instal·lació

Linus Torvalds, after finding one of his file systems smashed by a new Beta kernel

El volcat de memòria de fsck em sol posar nerviós

No us preocupeu. encara que l'us de programari beta pot ocasionar-vos força maldecaps, és improbable que la instal·lació del KDE malmeti el vostre disc dur. De fet, aquest capítol està dissenyat per a guiar-vos a través del procés d'instal·lació de manera que pugueu donar un cop d'ull al vostre nou escriptori tan aviat (i amb els menors mals de caps) com siga possible. Com en les instal·lacions de tots els gestors de finestres, és convenient el realitzar una còpia de seguretat de tots els fitxers de configuració específics de X11 avans de començar la instal·lació. Si no coneixeu la localització exacta, mireu de veure els fitxers ocults (`.*`) del vostre directori personal i en el directori `/usr/X11/lib/X11/xdm`.

## Requeriments

Abans d'instal·lar el KDE, assegureu-vos de que el vostre sistema compleix els següents requeriments:

- Un sistema UNIX compatible POSIX. Els UNIX que es coneix que funcionen amb el KDE són: Linux, FreeBSD, Solaris, HP-UX i MkLinux. Estem treballant per a que el KDE estiga disponible ben aviat per a més plataformes.

- Una mica d'espai lliure a la partició del disc a on es creï el directori `/opt/kde`. Recomenem reservar aproximadament uns 50MB si el vostre sistema suporta biblioteques compartides i un espai considerablement major si no ho fa. Si necessiteu o desitgeu crear el KDE des de l'arbre font, si us plau, recordeu que heu de reservar aproximadament uns 100MB en `/usr/src`.

- Un sistema X11 executat amb o sense xdm. Si no teniu instal·lat el X Window System, primer comproveu el vostre mitjà d'instal·lació UNIX per una versió instal·lable. Sinó podeu trobar una versió funcional, visiteu la web de XFree86 per a obtindre més informació a sobre de com aconseguir i instal·lar un X Window System o contacteu amb el departament de suport UNIX del vostre venedor.

- La versió 3.0.2 de les biblioteques Qt. Es poden aconseguir en el servidor FTP de Troll Tech en format tgz.

Una advertència avans de començar: Avans d'actualitzar-vos des d'una versió anterior del KDE, us recomenem que feu el següent:

    cd /opt/kde
    tar cfvz ~/copia_de_seguretat_del_KDE_antic.tar.gz *

## Linux: instal·lant els RPM per a RedHat, Caldera i SuSE.

Emprar els RPM és el mètode més senzill d'aconseguir instal·lar el KDE. Simplement accediu a la vostra rèplica preferida del servidor de KDE i visiteu el directori `/pub/kde/stable/distribution/rpm`. Allí podreu veure directoris per a diferents sistemes operatius. Actualment, les arquitectures suportades són la i386, alpha i sparc. Els paquets RPM també es poden trobar en els llocs de programari opcional de Red Hat com sunsite.unc.edu o ftp.redhat.com.

El sistema bàsic consisteix en els fitxers `kde-component.arquitectura.rpm`. Almenys necessiteu kdesupport, kdelibs i kdebase. Després d'obtindre la distribució base, sentiu-vos lliure per a descarregar qualsevol altre RPM que puga ser-vos útil.

A continuació, començarem instal·lant el paquet base. Si esteu instal·lant el KDE per primera vegada, useu

    rpm -i kdesupport.arquitectura.rpm
    rpm -i kdelibs.arquitectura.rpm
    rpm -i kdebase.arquitectura.rpm

És important que aquests components sigan instal·lats en l'ordre anterior i que sigan instal·lats abans que cap altre component del KDE.

Si esteu actualitzant des d'una versió anterior, intenteu amb

    rpm -Uvh kde-component.arquitectura.rpm

Una vegada més, s'ha de preservar l'ordre indicat anteriorment i els components anomenats han d'estar instal·lats avans que cap altre component del KDE.

Això desempaquetarà la distribució base i la instal·larà per omissió en `/opt/kde`.

Si la instal·lació dels paquets base ha tingut èxit, podeu instal·lar-ne la resta (una vegada més, useu `-Uvh` en comptes de `-i` per a actualitzar una versió prèvia) de la mateixa manera.

## Linux: instal·lant els DEB per a Debian

La instal·lació per a un sistema Debian també és força simple. Sols trobareu paquets del KDE 2.0 per a les versions de Debian 2.2 (coneguda com a Potato) i 3.0 (coneguda com a Woody). Aquí es descriu com instal·lar paquets per a Debian 2.2, la versió estable, ja que Debian 3.0 encara està en fase de desenvolupament. Tot i això, la instal·lació de totes dues versions és pràcticament idèntica. La principal diferència procedeix del fet de que KDE està oficialment inclòs en Debian 3.0 i no és necessari especificar una adreça especial per a localitzar els paquets deb per a KDE.

La primera passa consisteix en dir-li al vostre sistema a on pot localitzar els paquets deb per a KDE. La llista dels llocs a on estan els paquets Debian es troba al vostre disc dur, en `/etc/apt/sources.list`. És necessari afegir-hi a aquest fitxer la següent línia: `http://kde.tdyc.com/ stable kde2`

Ara és necessari actualitzar la base de dades local dels paquets de manera que el vostre sistema sàpiga que hi han nous paquets disponibles. Introduïu el següent comandament:

    apt-get update

Finalment instal·leu els components base del KDE. Això es fa introduint:

    apt-get install kdebase

Si desitgeu instal·lar d'altres components probeu alguna o totes les següents opcions:

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

També us pot interessar instal·lar la vostra llengua.

    apt-get install
    kde-i18n-xx

a on xx s'ha de substituir pel codi del país.

Els fitxers de control d'algunes aplicacions KDE seran colocades en `/etc/kde2`, els executables aniran a `/usr/bin` i la majoria dels fitxers auxiliars a `/usr/share` sota diferents directoris.

Si esteu actualitzant des d'una versió anterior del KDE seguiu les següents passes. Primer, actualitzeu el fitxer `/etc/apt/sources.list` canviant la línia que conté el lloc a on estan localitzats els paquets KDE amb la línia: `http://kde.tdyc.com/ stable kde2`. Després actualitzeu la base de dades dels paquets:

    apt-get update

Finalment instal·leu el sistema base del KDE:

    apt-get install kdebase
    apt-get dist-upgrade

Si desitgeu instal·lar més componentes del KDE proveu alguna o totes aquestes opcions.

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

## Emprant la compilació des de les fonts per a instal·lar en d'altres sistemes

Si la vostra distribució Linux no conté fitxers en format rpm o deb, o no esteu emprant Linux, tindreu que compilar-lo pel vostre compte. Pel futur estem planejant subministrar una distribució binària que inclogui el seu propi programa d'instal·lació.

Per a poder compilar i instal·lar el KDE de manera adequada, és necessari tindre instal·lats els següents ítems al disc dur:

- Un compilador ANSI-C, p.ex. el compilador C de GNU.

- Un compilador ANSI-C++, p.ex. el compilador C++ de GNU.

- La utilitat make.

- La versió de desenvolupament 2.2 de Qt o una versió superior.

- Una versió de desenvolupament de X11 (incloguen els fitxers que falten sovint)

Una vegada totes les aplicacions auxiliars estigan disponibles, aneu a la vostra rèplica favorita del KDE i descarregueu els següents fitxers des del directori `/pub/kde/stable/versió_més_nova`:

- `kdesupport-versió.tar.gz`

- `kdelibs-versió.tar.gz`

- `kdebase-versió.tar.gz`

- i qualsevol altre paquet que desitgeu instal·lar. Com a mínim us aconsellem descarregar kdeutils.

En els anteriors casos, versió s'ha de substituir pel número de la versió actual. Una vegada hagueu descarregat tot el necessari, descomprimiu i extraigueu aquests fitxers sobre `/usr/src`. Aquest procés tindria que generar la següent estructura de directoris:

- `/usr/src/kdesupport`

- `/usr/src/kdelibs`

- `/usr/src/kdebase`

- `/usr/src/...` (qualsevol altre paquet)

Assegureu-vos de que teniu privilegis d'escriptura en `/opt/kde`.

A continuació tindreu que compilar i instal·lar els paquets emprant el següent:

1. `cd` en el directori del paquet que desitgeu instal·lar (veure adalt)

2. `./configure` (amb les opcions que s'hauran d'aplicar)

3. `make`

4. `make install`

Apliqueu les anteriors passes a cadascun dels paquets que desitgeu instal·lar.

Aquestes instruccions es poden emprar per a gairebé cadascun dels paquets disponibles, no sols als paquets KDE.

Cada script de configuració té diverses opcions disponibles. Algunes són comuns mentres que d'altres són individualment específiques dels paquets. El que es mostra a continuació és part del resultat de `configure `--help`` en kdelibs:

        --disable-fast-perl     deshabilita la generació del Makefile ràpid                           (necessita perl)
      --enable-debug          crea codi de detecció d'errors [per omissió=no]
      --enable-strict         compila amb opcions estrictes del compilador                           (podria no funcionar!)
      --enable-profile        crea perfils d'informació [per omissió=no]
      --enable-final          crea aplicacions de mida optimitzada                           (experimental - necessita molta memòria)
      --disable-closure       no endarrerir la instal·lació dels prototips
      --enable-shared[=PKGS]  crea biblioteques compartides [per omissió=si]
      --enable-static[=PKGS]  crea biblioteques estàtiques [per omissió=no]
      --enable-fast-install[=PKGS]                            optimitza per a una instal·lació ràpida                           [per omissió=si]
      --with-gnu-ld           suposa que el compilador C emprat és el ld de                           GNU [per omissió=no]
      --disable-libtool-lock  evita bloqueigs (pot trencar la creació de                           pasarel·les)
      --with-pic              intenta usar sols objectes PIC/no-PIC [per                           omissió=usar_ambdos]
      --with-extra-includes=DIR
                              afegeix les rutes include no estàndard
      --with-extra-libs=DIR   afegeix les rutes a les biblioteques no                           estàndard
      --with-qt-dir=DIR       directori arrel de Qt
      --with-qt-includes=DIR  directori de els fitxers include de Qt
      --with-qt-libraries=DIR directori de les biblioteques Qt
      --disable-rpath         no emprar la característica rpath de ld
      --disable-path-check    no mirar de trobar a on instal·lar
      --with-xdmdir           si el directori de configuració de xdm no es                           pot trobar automàticament
      --with-pam[=ARG]        habilita el suport PAM:                           ARG=[yes|no|nom_del_servei]
      --with-shadow           si es desitja suport per a contrasenyes                           ocultes
      --with-krb4[=RUTA]      Compila amb suport per a Kerberos v4.
      --with-afs              Compila amb suport per a AFS (requereix KTH                           krb4)
      --with-ldap[=RUTA]      Compila amb suport per a LDAP.
      --with-samba-libs=ruta  Empra les biblioteques Samba-tng a 'ruta'                           [cerca]
      --without-gl            deshabilita els modes 3D GL
      --without-xpm           deshabilita les comprovacions del color dels                           mapes de píxels XPM
      --without-dpms          deshabilita l'estalvi d'energia DPMS
      --with-x                empra el sistema de finestres X
      --with-motif-includes=DIR                           Els fitxers include de Motif estan a 'DIR'
      --with-motif-libraries=DIR   Les biblioteques Motif estan a 'DIR'

Algunes opcions no són necessàries i sols són d'utilitat com a dreceres per a solucionar problemes coneguts. (p.ex.`--disable-CARACTERISTICA`). Algunes són opcions importants, per exemple --with-shadow, s'haurien de marcar sempre que estigan disponibles.

Un opció important és `--prefix`. Aquesta opció serveix per especificar la ruta a on haurà d'instal·lar configure (per a kdesupport i kdelibs) o on cercar les biblioteques (per a d'altres paquets). Per omissió, configure mirarà en `/opt/kde`. Si desitgeu instal·lar el KDE a `/usr/local/kde`, teniu que emprar `configure `--prefix /usr/local/kde``.

Si heu instal·lat les biblioteques Qt en un lloc inusual, per exemple a `$HOME/src/qt`, tindreu que emprar `configure `--with-qt-dir=$HOME/src/qt``. Per omissió abans d'abandonar configure cerca en els llocs més comuns per a QT.

Si trobeu problemes que no podeu resoldre, envieu una copia del fitxer `config.log` a l'adreça que figura en el fitxer `README` del paquet problemàtic.

La instal·lació del KDE es deu realitzar en el següent ordre: kdesupport, kdelibs, després els paquets de les aplicacions (per exemple kdebase). Tots els paquets d'aplicacions sols hauran de dependre de kdelibs, de manera que, si disposeu d'una màquina potent, es pugan compilar alhora.

Si desitgeu aprofitar els aventatges d'un sistema multiprocesador, intenteu `make`-j Nombre_de_processadors`` en comptes de `make`.

### Notes específiques de les plataformes

#### Linux

Per a Linux, la majoria de les utilitats necessàries per a construir el KDE es poden trobar, o bé en ftp://sunsite.unc.edu/pub/Linux/GCC, o bé en ftp://sunsite.unc.edu/pub/GNU. Les biblioteques Qt es poden trobar en ftp://ftp.troll.no/pub/qt/linux, disponibles en codi font o en format RPM per a Linux. Ambdues contenen detallades instruccions de com instal·larles. Els fitxers include dels programes X11 haurien d'estar disponibles en ftp://ftp.xfree86.org a la secció xdevel.

## Canvis requerits en els vostres fitxers de configuració

Després d'haber colocat els binaris de KDE als seus directoris de destí és necessari ajustar alguns dels scripts d'inici.

El següent procediment fou comprovat en SuSE Linux 5.0 i tindria que ser compatible amb d'altres UNIX també coneguts. Feu sempre copies de seguretat dels fitxers de configuració avans de canviar-los Afegiu el següent al final del vostre /etc/profile:

    export PATH=$PATH:/opt/kde/bin
    export KDEDIR=/opt/kde

A continuació, editeu el fitxer .xinitrc en el directori arrel personal. Cerqueu la línia que crida al gestor de finestres i substituïu-la per `startkde`.

Ara que tot el necessari per a executar el KDE ha estat instal·lat, podeu passar al capítol 4 a on s'iniciarà el KDE per primera vegada. Si quelcom va malament potser necessitareu compilar El KDE pel vostre compte. Per a més informació llegiu Emprant la compilació des de les fonts per a instal·lar en d'altres sistemes .

Hem fet la instal·lació el més robusta possible, de manera que no tindríeu que trobar-vos amb cap problema seri a no ser que la vostra configuració siga exòtica. Si experimenteu dificultats sentiu-vos lliure d'usar les llistes de correu del KDE